/*breadcrumbs*/
.breadcrumbs__wrap {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-bottom: 40px;

    @media (max-width: 576px) {
        padding-bottom: 20px;
    }
}

.breadcrumbs {
    align-items: center;
    display: flex;
    overflow-x: auto;
    overflow-y: hidden;
    position: relative;
    scrollbar-width: none;
    white-space: nowrap;
    z-index: 1;

    a {
        color: var(--gray-600);

        &:hover {
            color: var(--red-600);
        }
    }
}

.breadcrumbs__item {
    align-items: center;
    display: flex;

    span {
        font-size: var(--fz-14);

        @media (max-width: 576px) {
            font-size: var(--fz-12);
        }
    }

    &:first-child {

        a {
            display: block;
            height: 20px;
            width: 20px;

            @media (max-width: 576px) {
                height: 16px;
                width: 16px;
            }
        }
    }

    &:last-child {
        pointer-events: none;
        @media (max-width: 768px) {
            padding-right: 16px;
        }
    }
}


.breadcrumbs__item a {
    color: var(--gray-700);
    transition: .3s;
}

.breadcrumbs__item a:hover {
    color: var(--red-600);
}


.breadcrumbs__item:last-child a {
    font-weight: 500;
    color: var(--gray-600);
    cursor: unset;
}

.breadcrumbs__icon-home {
    fill: var(--gray-700);
    flex-shrink: 0;
    height: 20px;
    width: 20px;

    @media (max-width: 576px) {
        height: 16px;
        width: 16px;
    }
}

.breadcrumbs__icon-home:hover {
    fill: var(--red-600);
}

.breadcrumbs__icon-arrow {
    stroke: var(--gray-700);
    flex-shrink: 0;
    height: 8px;
    margin: 0 4px;
    width: 8px;
}

.breadcrumbs__icon {
    stroke-linecap: round;
    stroke-linejoin: round;
}

/**/
.catalog-wrapper {
    display: flex;
    flex-direction: column;
    gap: 60px;

    @media (max-width: 576px) {
        gap: 30px;
    }

}

.catalog-top {
    display: flex;
    flex-direction: column;
    gap: 60px;

    @media (max-width: 768px) {
        gap: 30px;
    }
}

.catalog-middle {
    display: flex;
    gap: 20px;
}

.catalog-bottom {
    display: flex;
    flex-direction: column;
    gap: 60px;

    @media (max-width: 576px) {
        gap: 30px;
    }

    .catalog-bottom__wrapper {
        padding: 40px 32px;
        border-radius: 16px;
        background-color: var(--white);

        @media (max-width: 576px) {
            padding: 20px 16px;
        }

        .tags {

            .tags__item {
                background-color: var(--gray-350-50);
            }
        }
    }
}

/**/
.catalog-sections__wrapper {
    display: flex;
    flex-direction: column;
    gap: 60px;

    @media (max-width: 576px) {
        gap: 30px;
    }

}

/**/
.catalog-sections__items {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;

    @media (max-width: 576px) {
        gap: 16px;
    }

    .catalog-sections__item {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        gap: 20px;
        background-color: var(--white);
        padding: 24px 20px;
        border-radius: 16px;
        border: 1px solid var(--gray-200-47);
        transition: border-color .3s;
        overflow: hidden;
        flex: 0 0 calc(100% / 4 - (20px / 4 * 3));

        @media (max-width: 902px) {
            flex: 0 0 calc(100% / 3 - (20px / 3 * 2));
        }
        @media (max-width: 576px) {
            flex: 0 0 calc(100% / 2 - (16px / 2 * 1));
            padding: 16px;
            gap: 10px;
            border-radius: 8px;
        }

        &:hover {
            border: 1px solid var(--red-600);

            span {
                color: var(--red-600);
            }
        }

        .catalog-sections__item-icon {
            width: 45px;
            height: 45px;
            flex-shrink: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-right: auto;
            background-color: var(--red-100);
            border-radius: 8px;

            @media (max-width: 576px) {
                width: 30px;
                height: 30px;
            }

            svg {
                width: 30px;
                height: 30px;
                object-fit: contain;
                fill: var(--red-700);
                stroke: var(--red-700);

                @media (max-width: 576px) {
                    width: 15px;
                    height: 15px;
                }
            }
        }

    }
}

.catalog-sections__item-content {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    min-width: 0;

    @media (max-width: 768px) {
        gap: 5px;
    }

    span {
        color: var(--gray-800);
        font-size: var(--fz-18);
        font-weight: 700;
        transition: color .3s;
        font-family: 'Raleway', sans-serif;


        @media (max-width: 768px) {
            font-size: var(--fz-14);
        }
        @media (max-width: 576px) {
            font-size: var(--fz-12);
        }
    }

    small {
        color: var(--blue-350);
        font-size: var(--fz-14);

        @media (max-width: 768px) {
            font-size: var(--fz-12);

        }
        @media (max-width: 576px) {
            display: none;
        }
    }
}

.catalog-sections__item-img {
    width: 178px;
    height: 100px;
    flex-shrink: 0;

    @media (max-width: 768px) {
        width: 150px;
        height: 110px;
    }
    @media (max-width: 576px) {
        width: 70px;
        height: 70px;
    }

    img {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }
}


/*SWIPER*/
.Swiper__col-5, .Swiper__col-4-row-2, .Swiper__col-4, .Swiper__col-3 {
    position: relative;
    overflow: hidden;
}

.swiper__swiper-prev, .swiper__swiper-next {
    position: absolute;
    right: 10px;
    padding: 0;
    margin: 0;
    z-index: 2;
    bottom: 0;
    top: 50%;
    width: 45px;
    height: 45px;
    flex-shrink: 0;
    transform: translateY(-50%);

    @media (max-width: 768px) {
        display: none;
    }
}

.swiper__swiper-prev {
    svg {
        transform: rotate(180deg);
    }
}

.swiper__swiper-prev {
    left: 10px;
}

.swiper-button-disabled {
    opacity: 0;
}

/*Tags*/
.tags {
    display: flex;
    flex-direction: column;
    gap: 40px;

    @media (max-width: 576px) {
        gap: 20px;
    }
}

.tags__items {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 8px;
}

.tags__item {
    background-color: var(--white);
    border-radius: 16px;
    padding: 8px 10px;
    color: var(--gray-700);
    font-size: var(--fz-14);
    font-weight: 500;
    transition: .3s;
    cursor: pointer;
    letter-spacing: .5px;
    display: flex;
    align-items: center;
    justify-content: center;

    @media (max-width: 576px) {
        font-size: var(--fz-8);
        padding: 8px;
        font-weight: 400;
    }

    &:hover {
        background-color: var(--gray-100);
    }
}

.systems-sections__more-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 16px;
    padding: 8px 10px;
    gap: 8px;
    font-size: var(--fz-12);
    cursor: pointer;
    transition: .3s;

    @media (max-width: 576px) {
        font-size: var(--fz-8);
        padding: 4px 8px;
    }


    svg {
        width: 15px;
        height: 15px;
        flex-shrink: 0;
        fill: var(--gray-700);
        stroke: var(--gray-700);
    }


}

/*catalog-card*/
.catalog-card__items {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;


    @media (max-width: 768px) {
        gap: 8px;
    }

    .catalog-card__item {
        box-shadow: var(--shadow-3F4B69);
        flex: 0 0 calc(100% / 4 - (20px / 4 * 3));

        @media (max-width: 768px) {
            flex: 0 0 calc(100% / 3 - (8px / 3 * 2));
        }
    }
}

.catalog-card__item-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    width: 100%;
    margin-top: auto;
    padding-top: 10px;
}

.catalog-card__item-basket {
    border-radius: 50%;
    width: 35px;
    height: 35px;
    flex-shrink: 0;
    background-color: var(--red-100);
    display: flex;
    align-items: center;
    justify-content: center;

    @media (max-width: 576px) {
        display: none;
    }

    svg {
        width: 20px;
        height: 20px;
        fill: var(--red-700);
        stroke: var(--red-700);
    }
}

.swiper-slide.catalog-card__item {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 16px;
    background-color: var(--white);
    border-radius: 20px;
    border: 1px solid transparent;
    transition: border .3s;
    height: auto;
    position: relative;

    @media (max-width: 576px) {
        border-radius: 10px;
        padding: 8px;
    }


    &:hover {
        border: 1px solid var(--red-600);

        .catalog-card__item-desc {
            color: var(--red-600);
        }
    }

    .catalog-card__item-img {
        width: 100%;
        border-radius: 10px;
        background-color: var(--gray-350-50);
        padding: 16px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 8px;
        overflow: hidden;

        @media (max-width: 576px) {
            padding: 8px;
        }


        img {
            width: 100%;
            height: 100px;
            object-fit: contain;
            mix-blend-mode: darken;
            border-radius: 10px;
            overflow: hidden;

            @media (max-width: 576px) {
                height: 60px;
            }
        }
    }

    .catalog-card__item-price {
        position: relative;
        margin-right: auto;
        margin-top: auto;
        display: flex;
        align-items: center;
        gap: 8px;
        margin-bottom: 8px;

        span {
            color: var(--gray-800);
            font-size: var(--fz-20);
            font-weight: 700;
            transition: .3s;
            background-color: var(--white);
            display: flex;
            align-items: center;
            font-family: 'Raleway', sans-serif;

            @media (max-width: 576px) {
                font-size: var(--fz-14);
            }
        }

        small {
            position: relative;
            font-weight: 400;
            color: var(--gray-500);
            font-size: var(--fz-14);
            white-space: nowrap;

            @media (max-width: 576px) {
                font-size: var(--fz-10);
            }

            &:after {
                background-color: var(--gray-500);
                content: "";
                height: 1px;
                left: 0;
                position: absolute;
                top: calc(50% - 1px);
                transform: rotate(-2deg);
                width: 100%;
                z-index: 0;
            }
        }
    }

    .catalog-card__item-discount {
        font-size: var(--fz-12);
        color: var(--white);
        font-weight: 500;
        background-color: var(--red-700);
        padding: 4px 8px;
        border-radius: 8px;
        display: flex;
        align-items: center;
        justify-content: center;
        max-width: 40px;
        width: 100%;
        margin-bottom: 8px;

        @media (max-width: 576px) {
            font-size: var(--fz-8);
            padding: 4px;
            max-width: 30px;
            border-radius: 4px;
        }
    }

    .catalog-card__item-content {
        display: flex;
        flex-direction: column;
        gap: 8px;

        @media (max-width: 576px) {
            gap: 0
        }
    }

    .catalog-card__item-name {
        color: var(--gray-800);
        white-space: nowrap;
        font-weight: 600;
        line-height: 20px;
        display: flex;

        @media (max-width: 576px) {
            font-size: var(--fz-10);
        }

        span {
            -webkit-box-orient: vertical;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    }

    .catalog-card__item-desc {
        color: var(--gray-800);
        font-size: var(--fz-12);
        font-weight: 500;
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: left;
        transition: color .3s;

        @media (max-width: 576px) {
            font-size: var(--fz-10);
            line-height: 14px;
            -webkit-line-clamp: 4;
        }
    }


}


